Subject: [PATCH v5 00/14] Armada 370/XP NAND support

From: [email-masked] (Daniel Mack)
Date: Fri, 15 Nov 2013 14:47:22 +0100

On 11/15/2013 02:07 PM, Ezequiel Garcia wrote:
> On Fri, Nov 15, 2013 at 08:59:08AM +0100, Daniel Mack wrote:
>> On 11/15/2013 12:15 AM, Ezequiel Garcia wrote:
>>> On Thu, Nov 14, 2013 at 03:05:40PM -0800, Brian Norris wrote:
>>>> + Daniel (missed the CC)
>>>>
>>>> On Thu, Nov 14, 2013 at 03:04:36PM -0800, Brian Norris wrote:
>>>>> On Thu, Nov 14, 2013 at 06:25:25PM -0300, Ezequiel Garcia wrote:
>>>>>> * Changes from v4
>>>>>>
>>>>>>   * Rebased on top of l2-mtd.git origin/next branch
>>>>>>
>>>>>>   * Fixed is_ready flag reset, renamed by a more descriptive
>>>>>>     and readble "need_wait".
>>>>>>
>>>>>
>>>>> ...
>>>>>
>>>>> I think this series is now good as-is. Pushing to l2-mtd.git/next.
>>>>> Thanks for the efforts! I can submit my extra diff from patch 12 as a
>>>>> separate patch for review.
>>>>>
>>>>> Do you have any available regression tests? Or was there somebody else
>>>>> we could run this by for some Tested-by's? Daniel Mack, perhaps?
>>>>
>>>> Brian
>>>
>>> Yes, if Daniel (or anybody else) can push a Tested-by, that's better because
>>> he's a "third-party" tester.
>>
>> Yes. Sorry, I could only partially follow all the discussions around
>> these patch sets, but I can certainly do a quick regression test on my
>> pxa3xx platform.
>>
>> Ezequiel, could you maybe point me to a repository where I can pull
>> everything from you want me to have a look at?
>>
> 
> Latest work is at the next branch in l2-mtd.git:
> 
> http://git.infradead.org/l2-mtd.git/shortlog/refs/heads/next
> 
> You could try that, with Brian's latest patch:
> 
> http://patchwork.ozlabs.org/patch/291408/

Thanks Ezequiel! Tested with and without DMA on my PXA3xx platform and
it seems to work just well. Awesome work :)

[    2.675715] NAND device: Manufacturer ID: 0x20, Chip ID: 0xa1 (ST
Micro NAND01GR3B2CZA6)
[    2.683965] NAND device: 128MiB, SLC, page size: 2048, OOB size: 64
[    2.690867] Scanning device for bad blocks
[    2.977987] Bad eraseblock 528 at 0x000004200000
[    2.983394] Bad eraseblock 529 at 0x000004220000
[    3.251150] 4 ofpart partitions found on MTD device pxa3xx_nand-0
[    3.257313] Creating 4 MTD partitions on "pxa3xx_nand-0":
[    3.263051] 0x000000000000-0x0000000a0000 : "Bootloader"
[    3.278845] 0x0000000a0000-0x0000000c0000 : "BootloaderEnvironment"
[    3.296388] 0x0000000c0000-0x000000120000 : "BootloaderSplashScreen"
[    3.314704] 0x000000120000-0x000008000000 : "UBI"

Best regards,
Daniel